summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorroot <root@taler.net>2016-08-08 15:26:59 +0200
committerroot <root@taler.net>2016-08-08 15:26:59 +0200
commit80958d46b0ea953e76421c8cb2d169004de50bc3 (patch)
treedb47bf3eeeec04c5100e99c32127de068da7c5d6
parentb815da4224524068b063ab5f8c2fd4fc3fd46a43 (diff)
parent6a44cfeb37a80add3521c08d9a8fb4db55fed7f4 (diff)
downloaddeployment-80958d46b0ea953e76421c8cb2d169004de50bc3.tar.gz
deployment-80958d46b0ea953e76421c8cb2d169004de50bc3.tar.bz2
deployment-80958d46b0ea953e76421c8cb2d169004de50bc3.zip
Merge branch 'master' of /var/git/deployment
-rwxr-xr-xtaler-build/switch_active.sh5
1 files changed, 4 insertions, 1 deletions
diff --git a/taler-build/switch_active.sh b/taler-build/switch_active.sh
index 9707acb..69f8665 100755
--- a/taler-build/switch_active.sh
+++ b/taler-build/switch_active.sh
@@ -8,8 +8,11 @@
set -eu
-if ! taler-deployment-build; then
+if ! taler-deployment-build > build.log 2>&1; then
echo "Failed to rebuild, not switching"
+ if test "$1" = "--notify"; then
+ mail -s "[Taler build] $(date)" build-failure@taler.net < build.log
+ fi
exit 1
else
echo "Successfully built, switching"